meta_fwd.hpp File Reference

Forward declarations. More...

## Classes

struct | meta::v1::compose< Fs >
struct | meta::v1::defer< C, Ts >
struct | meta::v1::defer_i< T, C, Is >
struct | meta::v1::extension::apply< F, List >
struct | meta::v1::id< T >
struct | meta::v1::integer_sequence< T,... >
struct | meta::v1::list< Ts >
struct | meta::v1::quote< class >
struct | meta::v1::quote_i< T, F >

## Namespaces

| meta
| Tiny metaprogramming library.

## Macros

#define | META_DEPRECATED(MSG)

## Detailed Description

Forward declarations.